Bug 821628 - laptop spontaneously logoff gnome session
laptop spontaneously logoff gnome session
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server-utils (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 03:20 EDT by Mikhail
Modified: 2013-08-01 09:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:29:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gdb backtrace (11.67 KB, text/plain)
2012-06-17 05:06 EDT, Dan Ziemba
no flags Details
Xorg.0.log.old (134.35 KB, application/x-trash)
2012-06-17 05:07 EDT, Dan Ziemba
no flags Details
X11 segfault, Intel graphics, Synaptic touchpad, ThinkPad T510 (57.09 KB, application/octet-stream)
2012-07-07 05:27 EDT, Bojan Smojver
no flags Details

  None (edit)
Description Mikhail 2012-05-15 03:20:37 EDT
Description of problem:
laptop spontaneously logoff gnome session

And I can't report via abrt because 703807 is exists with status 'CLOSED WONTFIX'

Backtrace:

[New LWP 813]
warning: .dynamic section for "/lib/libaudit.so.1" is not at the expected address (wrong library or version mismatch?)
warning: the debug information found in "/usr/lib/debug//lib/libdl-2.15.so.debug" does not match "/lib/libdl.so.2" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//lib/libpthread-2.15.so.debug" does not match "/lib/libpthread.so.0" (CRC mismatch).

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
warning: the debug information found in "/usr/lib/debug//lib/libaudit.so.1.0.0.debug" does not match "/lib/libaudit.so.1" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//lib/libm-2.15.so.debug" does not match "/lib/libm.so.6" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//lib/librt-2.15.so.debug" does not match "/lib/librt.so.1" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//lib/libc-2.15.so.debug" does not match "/lib/libc.so.6" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//lib/ld-2.15.so.debug" does not match "/lib/ld-linux.so.2" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/libdrm.so.2.4.0.debug" does not match "/lib/libdrm.so.2" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib/libdrm.so.2.4.0.debug" does not match "/lib/libdrm.so.2" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib//libdrm.so.2.4.0.debug" does not match "/lib/libdrm.so.2" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/libdrm_radeon.so.1.0.0.debug" does not match "/lib/libdrm_radeon.so.1" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib/libdrm_radeon.so.1.0.0.debug" does not match "/lib/libdrm_radeon.so.1" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib//libdrm_radeon.so.1.0.0.debug" does not match "/lib/libdrm_radeon.so.1" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/libstdc++.so.6.0.17.debug" does not match "/lib/libstdc++.so.6" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//usr/lib/libstdc++.so.6.0.17.debug" does not match "/lib/libstdc++.so.6" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib//libstdc++.so.6.0.17.debug" does not match "/lib/libstdc++.so.6" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//lib/libnss_files-2.15.so.debug" does not match "/lib/libnss_files.so.2" (CRC mismatch).

Core was generated by `/usr/bin/Xorg :0 -background none -logverbose 7 -auth /var/run/gdm/auth-for-gdm'.
Program terminated with signal 6, Aborted.
#0  0xb7787424 in __kernel_vsyscall ()

Thread 1 (Thread 0xb776e800 (LWP 813)):
#0  0xb7787424 in __kernel_vsyscall ()
No symbol table info available.
#1  0x4271c91f in raise () from /lib/libc.so.6
No symbol table info available.
#2  0x4271e273 in abort () from /lib/libc.so.6
No symbol table info available.
#3  0x080b391a in OsAbort () at utils.c:1249
No locals.
#4  0x080cbdc7 in ddxGiveUp (error=error@entry=EXIT_ERR_ABORT) at xf86Init.c:989
        i = <optimized out>
#5  0x080cbe73 in AbortDDX (error=error@entry=EXIT_ERR_ABORT) at xf86Init.c:1035
        i = <optimized out>
#6  0x080afa12 in AbortServer () at log.c:480
No locals.
#7  0x080afb3a in FatalError (f=f@entry=0x81ce524 "Caught signal %d (%s). Server aborting\n") at log.c:611
        args = 0xbfeaffe4 "\v"
        beenhere = 1
#8  0x080b0e3a in OsSigHandler (sip=0xbfeb000c, signo=11, unused=<optimized out>) at osinit.c:146
No locals.
#9  OsSigHandler (signo=11, sip=0xbfeb000c, unused=0xbfeb008c) at osinit.c:108
No locals.
#10 <signal handler called>
No symbol table info available.
#11 0x080adf36 in AttendClient (client=0x93e8998) at connection.c:1213
        oc = 0x0
        connection = <optimized out>
#12 0xb770259a in DRI2WakeClient (tv_usec=<optimized out>, tv_sec=<optimized out>, frame=<optimized out>, pDraw=<optimized out>, client=0x92e7b60) at dri2.c:768
        pScreen = 0x8e22328
        pPriv = 0x91de880
#13 DRI2SwapComplete (client=client@entry=0x92e7b60, pDraw=pDraw@entry=0x9280f00, frame=frame@entry=0, tv_sec=tv_sec@entry=0, tv_usec=tv_usec@entry=0, type=type@entry=2, swap_complete=swap_complete@entry=0xb7703510 <DRI2SwapEvent>, swap_data=swap_data@entry=0x9280f00) at dri2.c:810
        pScreen = <optimized out>
        pPriv = <optimized out>
        ust = 0
        box = {x1 = 0, y1 = 0, x2 = <optimized out>, y2 = <optimized out>}
        region = {extents = {x1 = 0, y1 = 0, x2 = 1024, y2 = 511}, data = 0x0}
        __func__ = "DRI2SwapComplete"
#14 0xb762ff3c in radeon_dri2_schedule_swap (client=0x92e7b60, draw=0x9280f00, front=0x93dfb50, back=0x9305720, target_msc=0xbfeb05a8, divisor=<optimized out>, remainder=<optimized out>, func=0xb7703510 <DRI2SwapEvent>, data=0x9280f00) at radeon_dri2.c:1293
        screen = <optimized out>
        scrn = 0x8e1da20
        info = 0x8e12830
        vbl = {request = {type = (DRM_VBLANK_EVENT | DRM_VBLANK_NEXTONMISS), sequence = 390855, signal = 154156152}, reply = {type = (DRM_VBLANK_EVENT | DRM_VBLANK_NEXTONMISS), sequence = 390855, tval_sec = 154156152, tval_usec = 458716}}
        ret = <optimized out>
        crtc = 0
        flip = <optimized out>
        swap_info = 0x9303c78
        swap_type = <optimized out>
        box = {x1 = 0, y1 = 0, x2 = <optimized out>, y2 = <optimized out>}
        region = {extents = {x1 = 0, y1 = 0, x2 = 1024, y2 = 511}, data = 0x0}
#15 0xb7702835 in DRI2SwapBuffers (client=client@entry=0x92e7b60, pDraw=pDraw@entry=0x9280f00, target_msc=0, divisor=0, remainder=0, swap_target=swap_target@entry=0xbfeb05a8, func=func@entry=0xb7703510 <DRI2SwapEvent>, data=data@entry=0x9280f00) at dri2.c:930
        pScreen = 0x8e22328
        ds = 0x8e225f8
        pPriv = 0x91de880
        pDestBuffer = 0x93dfb50
        pSrcBuffer = 0x9305720
        ret = <optimized out>
        i = <optimized out>
        ust = 1336972733458716
        current_msc = 390854
        __func__ = "DRI2SwapBuffers"
#16 0xb7703ebc in ProcDRI2SwapBuffers (client=0x92e7b60) at dri2ext.c:403
        rep = {type = 0 '\000', pad1 = 16 '\020', sequenceNumber = 0, length = 0, swap_hi = 154041184, swap_lo = 0, pad2 = 154041184, pad3 = 149179864, pad4 = 16777216, pad5 = 0}
        remainder = <optimized out>
        swap_target = <optimized out>
        status = <optimized out>
        stuff = 0x93f20d0
        pDrawable = 0x9280f00
        target_msc = <optimized out>
        divisor = <optimized out>
#17 ProcDRI2Dispatch (client=0x92e7b60) at dri2ext.c:569
        stuff = <optimized out>
#18 0x0807732d in Dispatch () at dispatch.c:439
        clientReady = 0x8ed71a8
        result = 0
        client = 0x92e7b60
        nready = 0
        icheck = 0x8234a68
        start_tick = 2840
#19 0x08064c35 in main (argc=13, argv=0xbfeb0744, envp=0xbfeb077c) at main.c:287
        i = <optimized out>
        alwaysCheckForInput = {0, 1}
From        To          Syms Read   Shared Object Library
0x43cdc410  0x43ce4de4  Yes         /lib/libudev.so.0
0x43f00f80  0x43fea574  Yes         /lib/libcrypto.so.10
0x428baad0  0x428bbaec  Yes (*)     /lib/libdl.so.2
0x42912980  0x42917f04  Yes         /lib/libpciaccess.so.0
0x428a26a0  0x428ade60  Yes (*)     /lib/libpthread.so.0
0x4323e650  0x432c1414  Yes         /lib/libpixman-1.so.0
0x42942d90  0x42963bf4  Yes         /lib/libXfont.so.1
0x42c73a60  0x42c7492c  Yes         /lib/libXau.so.6
0x42f1bea0  0x42f1db84  Yes         /lib/libXdmcp.so.6
0x44097bd0  0x4409d804  Yes (*)     /lib/libaudit.so.1
0x428d0470  0x428ea678  Yes (*)     /lib/libm.so.6
0x428c2920  0x428c645c  Yes (*)     /lib/librt.so.1
0x42704f20  0x4284214c  Yes (*)     /lib/libc.so.6
0x428fa6e0  0x429079cc  Yes         /lib/libz.so.1
0x426cb850  0x426e3ec7  Yes (*)     /lib/ld-linux.so.2
0x42e80610  0x42eef674  Yes         /lib/libfreetype.so.6
0x42935d70  0x42937e34  Yes         /lib/libfontenc.so.1
0x4d478020  0x4d48eb54  Yes (*)     /lib/libgcc_s.so.1
0xb7717b80  0xb772ce24  Yes         /usr/lib/xorg/modules/extensions/libextmod.so
0xb76e28e0  0xb76f4d94  Yes         /lib/libselinux.so.1
0xb777fc10  0xb778274c  Yes         /usr/lib/xorg/modules/extensions/libdbe.so
0xb766e490  0xb76b9794  Yes         /usr/lib/xorg/modules/extensions/libglx.so
0xb7776df0  0xb777b644  Yes         /usr/lib/xorg/modules/extensions/librecord.so
0xb7709290  0xb770efd4  Yes         /usr/lib/xorg/modules/extensions/libdri.so
0x447f05a0  0x447f6354  Yes (*)     /lib/libdrm.so.2
0xb7700fe0  0xb77040dc  Yes         /usr/lib/xorg/modules/extensions/libdri2.so
0xb7773690  0xb7773bec  Yes         /usr/lib/xorg/modules/drivers/ati_drv.so
0xb756e850  0xb7637bd4  Yes         /usr/lib/xorg/modules/drivers/radeon_drv.so
0xb75474a0  0xb754cc6c  Yes (*)     /lib/libdrm_radeon.so.1
0xb755d790  0xb75607f8  Yes         /usr/lib/xorg/modules/drivers/vesa_drv.so
0xb7557780  0xb755937c  Yes         /usr/lib/xorg/modules/drivers/fbdev_drv.so
0xb7540ff0  0xb7542ec4  Yes         /usr/lib/xorg/modules/libfbdevhw.so
0xb7529840  0xb753a790  Yes         /usr/lib/xorg/modules/libexa.so
0xb7507a30  0xb75220a8  Yes         /usr/lib/xorg/modules/libfb.so
0xb6e8adc0  0xb7162bb4  Yes         /usr/lib/dri/r600_dri.so
0x42aea090  0x42aed794  Yes         /lib/libffi.so.5
0x42e391b0  0x42e52434  Yes         /lib/libexpat.so.1
0xb5c384f0  0xb6959d44  Yes         /usr/lib/llvm/libLLVM-3.0.so
0x4d4de5c0  0x4d5508a4  Yes (*)     /lib/libstdc++.so.6
0xb6e63dc0  0xb6e6b704  Yes         /usr/lib/xorg/modules/input/evdev_drv.so
0xb5962b90  0xb59654ac  Yes         /lib/libmtdev.so.1
0xb596b990  0xb59777e4  Yes         /usr/lib/xorg/modules/input/synaptics_drv.so
0xb5943a40  0xb594ae7c  Yes (*)     /lib/libnss_files.so.2
(*): Shared library is missing debugging information.
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
eax            0x0	0
ecx            0x32d	813
edx            0x6	6
ebx            0x32d	813
esp            0xbfeafde4	0xbfeafde4
ebp            0x822d038	0x822d038
esi            0x1	1
edi            0x42897ff4	1116307444
eip            0xb7787424	0xb7787424 <__kernel_vsyscall+16>
eflags         0x203206	[ PF IF #12 #13 ID ]
cs             0x73	115
ss             0x7b	123
ds             0x7b	123
es             0x7b	123
fs             0x0	0
gs             0x33	51
Dump of assembler code for function __kernel_vsyscall:
   0xb7787414 <+0>:	push   %ecx
   0xb7787415 <+1>:	push   %edx
   0xb7787416 <+2>:	push   %ebp
   0xb7787417 <+3>:	mov    %esp,%ebp
   0xb7787419 <+5>:	sysenter 
   0xb778741b <+7>:	nop
   0xb778741c <+8>:	nop
   0xb778741d <+9>:	nop
   0xb778741e <+10>:	nop
   0xb778741f <+11>:	nop
   0xb7787420 <+12>:	nop
   0xb7787421 <+13>:	nop
   0xb7787422 <+14>:	int    $0x80
=> 0xb7787424 <+16>:	pop    %ebp
   0xb7787425 <+17>:	pop    %edx
   0xb7787426 <+18>:	pop    %ecx
   0xb7787427 <+19>:	ret    
End of assembler dump.
Comment 1 Dan Ziemba 2012-06-17 05:05:03 EDT
This looks very similar to the problem I am having.  Xorg crashes with a segfault shortly after the screen turns off when idle.  I run a dual screen setup with the radeon r600 driver on Fedora 16 with all the updates as of today (6/17/12).  

I am able to reproduce the bug consistently by logging in and opening google chrome to its restored session containing two windows, one of which is playing music from pandora.com which I think uses flash.  After 10 minutes, the screen fades out, then a few seconds later the monitor turns off and the music dies.  Upon logging in again, the screen immediately fades out again, forcing me to enter my password a second time.  No report is generated with abrt.

I have generated a full backtrace by connecting with gdb from another machine and it is attached below.  I will also attach the Xorg.0.log.old file from the crash.  The important line seems to be:

(WW) RADEON(0): divisor 0 get vblank counter failed: Device or resource busy

I had to add to my xorg.conf to force my monitors to be in the correct order, so here's what I've added:

Section "Monitor"
	Identifier	"Monitor0"
	Option		"Primary" "true"
EndSection

Section "Monitor"
	Identifier	"Monitor1"
	Option		"Right" "Monitor0"
	Option		"Primary" "false"
EndSection

Section "Device"
	Identifier	"Card0"
	Driver		"radeon"
	Option		"Monitor-DVI-0" "Monitor0"
	Option		"Monitor-HDMI-0" "Monitor1"
EndSection

Section "Screen"
	Identifier	"Screen"
	Device		"Card0"
	Monitor		"Monitor0"
EndSection
Comment 2 Dan Ziemba 2012-06-17 05:06:51 EDT
Created attachment 592397 [details]
gdb backtrace
Comment 3 Dan Ziemba 2012-06-17 05:07:50 EDT
Created attachment 592398 [details]
Xorg.0.log.old
Comment 4 Bojan Smojver 2012-07-07 05:27:44 EDT
Created attachment 596748 [details]
X11 segfault, Intel graphics, Synaptic touchpad, ThinkPad T510
Comment 5 Bojan Smojver 2012-07-26 18:35:33 EDT
And once more. Out of the blue, I was just composing an e-mail in Evo. Relevant part of the log:
--------------------
[139675.558] (II) intel(0): Modeline "1600x900"x0.0   90.43  1600 1648 1680 1920  900 903 908 942 -hsync -vsync (47.1 kHz e)
[139908.487] 
[139908.487] Backtrace:
[139908.534] 0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4650a6]
[139908.534] 1: /usr/bin/Xorg (0x400000+0x6a069) [0x46a069]
[139908.534] 2: /lib64/libpthread.so.0 (0x3a0fe00000+0xefe0) [0x3a0fe0efe0]
[139908.534] 3: /usr/lib64/xorg/modules/input/synaptics_drv.so (0x7fc02a3d7000+0x96cd) [0x7fc02a3e06cd]
[139908.534] 4: /usr/bin/Xorg (XIChangeDeviceProperty+0x1d0) [0x5128c0]
[139908.534] 5: /usr/bin/Xorg (0x400000+0x112f03) [0x512f03]
[139908.534] 6: /usr/bin/Xorg (0x400000+0x3444a) [0x43444a]
[139908.534] 7: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
[139908.534] 8: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3a0fa21735]
[139908.534] 9: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
[139908.534] 
[139908.534] Segmentation fault at address 0x59
[139908.534] 
Fatal server error:
[139908.534] Caught signal 11 (Segmentation fault). Server aborting
--------------------
Comment 6 Bojan Smojver 2012-08-30 04:30:29 EDT
Possible dup: bug #848528.
Comment 8 karlp 2013-02-21 14:02:37 EST
I've got the same as Dan Ziemba, Radeon, and the same, "[  3196.442] (WW) RADEON(0): divisor 0 get vblank counter failed: Device or resource busy" in Xorg.0.log.old just before the crash in AttendClient.  Nothing to do with synaptics, this is on my desktop on Fedora 17

[  3196.447] Backtrace:
[  3196.447] 0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x465326]
[  3196.448] 1: /usr/bin/Xorg (0x400000+0x6a339) [0x46a339]
[  3196.448] 2: /lib64/libpthread.so.0 (0x3e13200000+0xefe0) [0x3e1320efe0]
[  3196.448] 3: /usr/bin/Xorg (AttendClient+0x17) [0x467487]
[  3196.448] 4: /usr/lib64/xorg/modules/extensions/libdri2.so (DRI2SwapComplete+0x135) [0x7fd77f6d6ab5]
[  3196.448] 5: /usr/lib64/xorg/modules/drivers/radeon_drv.so (0x7fd77f1c1000+0xd29b9) [0x7fd77f2939b9]
[  3196.448] 6: /usr/lib64/xorg/modules/extensions/libdri2.so (DRI2SwapBuffers+0x107) [0x7fd77f6d6cc7]
[  3196.448] 7: /usr/lib64/xorg/modules/extensions/libdri2.so (0x7fd77f6d4000+0x3fd2) [0x7fd77f6d7fd2]
[  3196.448] 8: /usr/bin/Xorg (0x400000+0x3446a) [0x43446a]
[  3196.448] 9: /usr/bin/Xorg (0x400000+0x23475) [0x423475]
[  3196.448] 10: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3e12e21735]
[  3196.448] 11: /usr/bin/Xorg (0x400000+0x2374d) [0x42374d]
[  3196.448] 
[  3196.448] Segmentation fault at address (nil)
[  3196.448] 
Fatal server error:
[  3196.448] Caught signal 11 (Segmentation fault). Server aborting
[  3196.448] 
[  3196.448] 
Please consult the Fedora Project support 
         at http://wiki.x.org
 for help.
Comment 9 karlp 2013-02-21 14:10:27 EST
Possible upstream bug? https://bugs.freedesktop.org/show_bug.cgi?id=39557
Comment 10 Fedora End Of Life 2013-07-04 00:25:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-08-01 09:30:06 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.